updating packages to lua5.2 in main

Bug #1196921 reported by Matthias Klose on 2013-07-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
graphviz (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
ibus-pinyin (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
libquvi (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
lua5.1 (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
lua5.2 (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
rrdtool (Ubuntu)
High
Yolanda Robla
Saucy
High
Yolanda Robla
rubyluabridge (Ubuntu)
Undecided
Yolanda Robla
Saucy
Undecided
Yolanda Robla
vim (Ubuntu)
High
Unassigned
Saucy
High
Unassigned

Bug Description

promoted today lua5.2 to main. This leaves us with both 5.1 and 5.2 in main. 5.1 should be dropped for the 13.10 release.

Related branches

Matthias Klose (doko) wrote :

graphviz, ibus-pinyin, libquvi, rrdtool, vim need updates in main

Matthias Klose (doko) wrote :

Override component to main
lua5.2 5.2.2-1 in saucy: universe/interpreters -> main
liblua5.2-0 5.2.2-1 in saucy amd64: universe/libs/optional/100% -> main
liblua5.2-0 5.2.2-1 in saucy armhf: universe/libs/optional/100% -> main
liblua5.2-0 5.2.2-1 in saucy i386: universe/libs/optional/100% -> main
liblua5.2-0 5.2.2-1 in saucy powerpc: universe/libs/optional/100% -> main
liblua5.2-0-dbg 5.2.2-1 in saucy amd64: universe/debug/extra/100% -> main
liblua5.2-0-dbg 5.2.2-1 in saucy armhf: universe/debug/extra/100% -> main
liblua5.2-0-dbg 5.2.2-1 in saucy i386: universe/debug/extra/100% -> main
liblua5.2-0-dbg 5.2.2-1 in saucy powerpc: universe/debug/extra/100% -> main
liblua5.2-dev 5.2.2-1 in saucy amd64: universe/libdevel/optional/100% -> main
liblua5.2-dev 5.2.2-1 in saucy armhf: universe/libdevel/optional/100% -> main
liblua5.2-dev 5.2.2-1 in saucy i386: universe/libdevel/optional/100% -> main
liblua5.2-dev 5.2.2-1 in saucy powerpc: universe/libdevel/optional/100% -> main
lua5.2 5.2.2-1 in saucy amd64: universe/interpreters/optional/100% -> main
lua5.2 5.2.2-1 in saucy armhf: universe/interpreters/optional/100% -> main
lua5.2 5.2.2-1 in saucy i386: universe/interpreters/optional/100% -> main
lua5.2 5.2.2-1 in saucy powerpc: universe/interpreters/optional/100% -> main
lua5.2-doc 5.2.2-1 in saucy amd64: universe/doc/optional/100% -> main
lua5.2-doc 5.2.2-1 in saucy armhf: universe/doc/optional/100% -> main
lua5.2-doc 5.2.2-1 in saucy i386: universe/doc/optional/100% -> main
lua5.2-doc 5.2.2-1 in saucy powerpc: universe/doc/optional/100% -> main
Override [y|N]? y
21 publications overridden.

Changed in lua5.2 (Ubuntu Saucy):
status: New → Fix Released
Changed in lua5.1 (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Matthias Klose (doko) on 2013-07-02
Changed in graphviz (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Changed in ibus-pinyin (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Changed in libquvi (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Changed in rrdtool (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Changed in vim (Ubuntu Saucy):
importance: Undecided → High
milestone: none → ubuntu-13.07
status: New → Confirmed
Changed in rrdtool (Ubuntu Saucy):
assignee: nobody → Yolanda Robla (yolanda.robla)
Changed in graphviz (Ubuntu Saucy):
assignee: nobody → Yolanda Robla (yolanda.robla)
Changed in graphviz (Ubuntu Saucy):
assignee: Yolanda Robla (yolanda.robla) → nobody
Changed in rrdtool (Ubuntu Saucy):
status: Confirmed → Fix Committed
Changed in rubyluabridge (Ubuntu Saucy):
assignee: nobody → Yolanda Robla (yolanda.robla)
status: New → Confirmed
Changed in rubyluabridge (Ubuntu Saucy):
status: Confirmed → Fix Committed
milestone: none → ubuntu-13.07
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rrdtool - 1.4.7-2ubuntu2

---------------
rrdtool (1.4.7-2ubuntu2) saucy; urgency=low

  * Updating to lua 5.2 version (LP: #1196921):
    - debian/rules: build 5.2 version, use autoconf
    - debian/control: update lua to 5.2 version, added autoreconf
    - debian/liblua5.2-rrd0.install: updated path to 5.2 version
    - debian/liblua5.2-rrd-dev.install: updated path to 5.2 version
    - debian/patches/rrdtool-1.4.7-lua-5.2.patch: fixes for lua 5.2 version

  * Dropping ruby 1.9 dependency:
    - debian/control: dropped ruby 1.8 deps and librdd-ruby1.8 package
    - debian/rules: not building for 1.8
 -- Yolanda Robla <email address hidden> Wed, 17 Jul 2013 13:02:00 +0200

Changed in rrdtool (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vim - 2:7.4.000-1ubuntu2

---------------
vim (2:7.4.000-1ubuntu2) saucy; urgency=low

  * Use lua5.2 for the current lua transition in main (LP: #1196921)
  * Ignore test86 for now, as it seems to do goofy things on powerpc.
 -- Adam Conrad <email address hidden> Sun, 11 Aug 2013 13:11:28 -0600

Changed in vim (Ubuntu Saucy):
status: Confirmed → Fix Released
Changed in lua5.1 (Ubuntu):
milestone: ubuntu-13.07 → ubuntu-13.09
Changed in graphviz (Ubuntu):
milestone: ubuntu-13.07 → ubuntu-13.09
Changed in ibus-pinyin (Ubuntu):
milestone: ubuntu-13.07 → ubuntu-13.09
Changed in libquvi (Ubuntu):
milestone: ubuntu-13.07 → ubuntu-13.09
Changed in rubyluabridge (Ubuntu):
milestone: ubuntu-13.07 → ubuntu-13.09
Matthias Klose (doko) wrote :
Changed in graphviz (Ubuntu Saucy):
status: Confirmed → In Progress
Matthias Klose (doko) wrote :

uploaded to saucy

Changed in ibus-pinyin (Ubuntu Saucy):
status: Confirmed → In Progress
Changed in libquvi (Ubuntu Saucy):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libquvi - 0.4.1-1ubuntu1

---------------
libquvi (0.4.1-1ubuntu1) saucy; urgency=low

  * Build using lua5.2. LP: #1196921.
 -- Matthias Klose <email address hidden> Wed, 25 Sep 2013 12:07:33 +0200

Changed in libquvi (Ubuntu Saucy):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rubyluabridge - 0.7.0-3ubuntu1

---------------
rubyluabridge (0.7.0-3ubuntu1) saucy; urgency=low

  * Merge with Debian, bringing in some small packaging fixes.
  * Set liblua dependency to liblua5.2-0 instead of liblua5.2.
 -- Adam Conrad <email address hidden> Mon, 30 Sep 2013 15:51:36 -0600

Changed in rubyluabridge (Ubuntu Saucy):
status: Fix Committed → Fix Released
Changed in lua5.1 (Ubuntu):
milestone: ubuntu-13.09 → ubuntu-13.10
Changed in graphviz (Ubuntu):
milestone: ubuntu-13.09 → ubuntu-13.10
Changed in ibus-pinyin (Ubuntu):
milestone: ubuntu-13.09 → ubuntu-13.10
Colin Watson (cjwatson) wrote :

Deferring the rest of this bug until T.

Changed in graphviz (Ubuntu Saucy):
milestone: ubuntu-13.10 → none
status: In Progress → Won't Fix
Changed in graphviz (Ubuntu):
milestone: none → ubuntu-13.10
Changed in ibus-pinyin (Ubuntu Saucy):
milestone: ubuntu-13.10 → none
status: In Progress → Won't Fix
Changed in ibus-pinyin (Ubuntu):
milestone: none → ubuntu-13.10
Changed in lua5.1 (Ubuntu Saucy):
milestone: ubuntu-13.10 → none
status: Confirmed → Won't Fix
Changed in lua5.1 (Ubuntu):
milestone: none → ubuntu-13.10
Changed in lua5.1 (Ubuntu):
milestone: ubuntu-13.10 → saucy-updates
Changed in graphviz (Ubuntu):
milestone: ubuntu-13.10 → saucy-updates
Changed in ibus-pinyin (Ubuntu):
milestone: ubuntu-13.10 → saucy-updates
Matthias Klose (doko) wrote :

everything updated and lua5.1 demoted in trusty

Changed in lua5.1 (Ubuntu):
status: Confirmed → Fix Released
Changed in graphviz (Ubuntu):
status: In Progress → Fix Released
Changed in ibus-pinyin (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers